Scriptname BeakerVampireRepellentEffectScript extends activemagiceffect  
{Script for "DG-NoAttacks" mod by Beaker

Used for the Vampire Repellent Amulet.

Sets various vampire attack related variables
so that most of the vampire attacks
will be disabled. This will be repeated every 30
seconds as long as it is active.

When going inactive, the variables will be set to
their default values.
}

GlobalVariable Property GameDaysPassed  Auto  

GlobalVariable Property DLC1EclipseAttackNextWait  Auto  

GlobalVariable Property DLC1EclipseAttackNextMaxWait  Auto  

GlobalVariable Property DLC1EclipseAttackNextAllowed  Auto  

GlobalVariable Property DLC1EclipseAttackNextGauranteed  Auto  

GlobalVariable Property DLC1WENextSpecialAttackDay  Auto  

GlobalVariable Property DLC1RadiantDisguisedVampireLordChance  Auto  

GlobalVariable Property DLC1ScoutPatrolChance  Auto  

GlobalVariable Property DLC1EclipseAttackNextChanceEclipse  Auto  

GlobalVariable Property DLC1EclipseAttackNextChanceNight  Auto  

GlobalVariable Property DLC1EclipseAttackGuardHellos  Auto  

GlobalVariable Property DLC1VQMinLevelVampireAttacks  Auto  

bool active = false

Event OnEffectStart(Actor akTarget, Actor akCaster)
  if akTarget == Game.GetPlayer()
	active = true
	DLC1EclipseAttackNextAllowed.SetValue(GameDaysPassed.GetValue() + 1000)
	DLC1EclipseAttackNextGauranteed.SetValue(GameDaysPassed.GetValue() + 1020)
	DLC1WENextSpecialAttackDay.SetValue(GameDaysPassed.GetValue() + 1000)
	DLC1RadiantDisguisedVampireLordChance.SetValue(0)
	DLC1ScoutPatrolChance.SetValue(0)
	DLC1EclipseAttackNextChanceEclipse.SetValue(0)
	DLC1EclipseAttackNextChanceNight.SetValue(0)
	DLC1EclipseAttackGuardHellos.SetValue(0)
	DLC1VQMinLevelVampireAttacks.SetValue(200)

	Debug.Notification("Vampires avoid you")
	RegisterForSingleUpdate(30)
  endIf
endEvent

Event OnEffectFinish(Actor akTarget, Actor akCaster)
  if akTarget == Game.GetPlayer()
	active = false 
	UnregisterForUpdate()
	DLC1EclipseAttackNextAllowed.SetValue(GameDaysPassed.GetValue() + DLC1EclipseAttackNextWait.GetValue())
	DLC1EclipseAttackNextGauranteed.SetValue(GameDaysPassed.GetValue() + DLC1EclipseAttackNextMaxWait.GetValue())
	DLC1WENextSpecialAttackDay.SetValue(GameDaysPassed.GetValue() + 5)
	DLC1RadiantDisguisedVampireLordChance.SetValue(25)
	DLC1ScoutPatrolChance.SetValue(25)
	DLC1EclipseAttackNextChanceEclipse.SetValue(25)
	DLC1EclipseAttackNextChanceNight.SetValue(5)
	DLC1VQMinLevelVampireAttacks.SetValue(8)

   	Debug.Notification("Vampires may appear.")
  endIf
endEvent

Event OnUpdate()
  if active
	DLC1EclipseAttackNextAllowed.SetValue(GameDaysPassed.GetValue() + 1000)
	DLC1EclipseAttackNextGauranteed.SetValue(GameDaysPassed.GetValue() + 1020)
	DLC1WENextSpecialAttackDay.SetValue(GameDaysPassed.GetValue() + 1000)
	DLC1RadiantDisguisedVampireLordChance.SetValue(0)
	DLC1ScoutPatrolChance.SetValue(0)
	DLC1EclipseAttackNextChanceEclipse.SetValue(0)
	DLC1EclipseAttackNextChanceNight.SetValue(0)
	DLC1EclipseAttackGuardHellos.SetValue(0)
	DLC1VQMinLevelVampireAttacks.SetValue(200)
	RegisterForSingleUpdate(30)
  endIf
endEvent