Scriptname BeakerDragonRepellentEffectScript extends activemagiceffect  
{Script for "DG-NoAttacks" mod by Beaker

Used for the Dragon Repellent Amulet.

Sets the timer for the spawn of the next
generic random dragon 1000 game days
into the future and refreshes the value
every 120 seconds as long as it is active.

When going inactive, the timer for the
next spawn is set as if you just killed a
dragon.}

GlobalVariable Property WINextDragon  Auto  
{ingame time, when the next dragon should spawn}

GlobalVariable Property WIWaitDragon  Auto  
{time (ingame days) between a dragon kill and the
next spawn of a random dragon}

GlobalVariable Property GameDaysPassed  Auto  
{ingame time}

bool active = false

Event OnEffectStart(Actor akTarget, Actor akCaster)
  if akTarget == Game.GetPlayer()
	active = true
	WINextDragon.SetValue(GameDaysPassed.GetValue() + 1000)
	Debug.Notification("Dragons stay away.")
	RegisterForSingleUpdate(120)
  endIf
endEvent

Event OnEffectFinish(Actor akTarget, Actor akCaster)
  if akTarget == Game.GetPlayer()
	active = false 
	UnregisterForUpdate()
	WINextDragon.SetValue(GameDaysPassed.GetValue() + WIWaitDragon.GetValue())
   	Debug.Notification("Dragons may appear.")
	
  endIf
endEvent

Event OnUpdate()
  if active
	WINextDragon.SetValue(GameDaysPassed.GetValue() + 1000)
	RegisterForSingleUpdate(120)
  endIf
endEvent
